.truncate {
	width: 250px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.crop_photo {
    width: 100%;
    height: 310px;
    object-fit: cover;
    border-radius: 5px;
}

.wdpform {
    width: 100%;
    height: 40px!important;
    border: 1px solid rgba(129, 129, 129, .25)!important;
    font-size: 14px;
    line-height: 18px;
    padding: 0 10px;
    transition: border-color .5s;
    box-shadow: none;
    border-radius: 0;
}

::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: white;
}
::-moz-placeholder { /* Firefox 19+ */
  color: white;
}
:-ms-input-placeholder { /* IE 10+ */
  color: white;
}
:-moz-placeholder { /* Firefox 18- */
  color: white;
}

.img_grey {
	-webkit-filter: grayscale(100%);
    -webkit-transition: .5s ease-in-out;
    -moz-filter: grayscale(100%);
    -moz-transition: .5s ease-in-out;
    -o-filter: grayscale(100%);
    -o-transition: .5s ease-in-out;
}
.img_grey:hover { 
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
}

.img_grey50 {
	-webkit-filter: grayscale(25%);
    -webkit-transition: .5s ease-in-out;
    -moz-filter: grayscale(25%);
    -moz-transition: .5s ease-in-out;
    -o-filter: grayscale(25%);
    -o-transition: .5s ease-in-out;
}
.img_grey50:hover { 
    -webkit-filter: grayscale(0%);
    filter: grayscale(0%);
}

.overlay {
	position: absolute; 
	top: 0; 
	left: 0; 
	width: 100%; 
	height: 100%;
	background: #000; 
	opacity: .4; 
	z-index: -1;
}
.overlay_dark {
	position: absolute; 
	top: 0; 
	left: 0; 
	width: 100%; 
	height: 100%;
	background: #000; 
	opacity: .6; 
	z-index: -1;
}

.pagination-wrapper {
	border: none;
	display: inline-block;
	margin: 5px 0 0;
	padding: 0px;
	width: 100%;
	background: none;
}
.pagination-wrapper .page-link {
	text-align:center;
	padding: 0;
	width: auto;
	margin-top: 60px;
}
.pagination {
	display: inline-block;
	padding: 0;
	margin: 0;
}
.pagination>li {
	display: inline;
	float: left;
	margin-right: 3px;
	padding-left: 3px;
}
li {
	/*list-style: none;*/
}
.pagination>li:first-child>a, .pagination>li:first-child>span {
	margin-left: 0;
}
.pagination>li>a, .pagination>li>span {
	position: relative;
	float: left;
	padding: 4px 6px;
	text-decoration: none;
	color: #fff;
	background-color: #2a2a2a;
	border: 1px solid #2a2a2a;
	margin-left: -1px;
}
.pagination > li > a, .pagination > li > span {
	padding: 0px 10px 0px 10px !important;
	height: 38px;
	width: 38px;
}
.pagination-wrapper .active > span {
	background: #d4d4d4 none repeat scroll 0 0 !important;
	border: 1px solid #d4d4d4 !important;
	border-radius: 0 !important;
	color: #000 !important;
}																	
.wgl-container ul li:before {
	background-color: unset;
}


.ribbon_green {
	position: absolute;
	/*right: 0px; top: 0px;*/
	left: 0px; top: 0px;
	z-index: 999999;
	overflow: hidden;
	width: 75px; height: 75px;
	text-align: right;
}
.ribbon_green span {
	font-size: 10px;
	font-weight: bold;
	color: #FFF;
	text-transform: uppercase;
	text-align: center;
	line-height: 20px;
	/*transform: rotate(45deg);*/
	/*-webkit-transform: rotate(45deg);*/
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);	
	width: 100px;
	display: block;
	background: #6caf5d;
	background: linear-gradient(#94d885 0%, #608e56 100%);
	box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
	position: absolute;
	/*top: 19px; right: -21px;*/
	top: 19px; left: -21px;
}

.ribbon_red {
	position: absolute;
	/*right: 0px; top: 0px;*/
	left: 0px; top: 0px;
	z-index: 999999;
	overflow: hidden;
	width: 75px; height: 75px;
	text-align: right;
}
.ribbon_red span {
	font-size: 10px;
	font-weight: bold;
	color: #FFF;
	text-transform: uppercase;
	text-align: center;
	line-height: 20px;
	/*transform: rotate(45deg);*/
	/*-webkit-transform: rotate(45deg);*/
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);		
	width: 100px;
	display: block;
	background: #F44336;
	background: linear-gradient(#f12e20 0%, #d8392e 100%);
	box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
	position: absolute;
	/*top: 19px; right: -21px;*/
	top: 19px; left: -21px;
}

.ribbon_yellow {
	position: absolute;
	/*right: 0px; top: 0px;*/
	left: 0px; top: 0px;
	z-index: 999999;
	overflow: hidden;
	width: 75px; height: 75px;
	text-align: right;
}
.ribbon_yellow span {
	font-size: 10px;
	font-weight: bold;
	color: #FFF;
	text-transform: uppercase;
	text-align: center;
	line-height: 20px;
	/*transform: rotate(45deg);*/
	/*-webkit-transform: rotate(45deg);*/
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);		
	width: 100px;
	display: block;
	background: #ffb606;
	background: linear-gradient(#ffb606 0%, #feca4c 100%);
	box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
	position: absolute;
	/*top: 19px; right: -21px;*/
	top: 19px; left: -21px;
}

.ribbon_orange {
	position: absolute;
	/*right: 0px; top: 0px;*/
	left: 0px; top: 0px;
	z-index: 999999;
	overflow: hidden;
	width: 75px; height: 75px;
	text-align: right;
}
.ribbon_orange span {
	font-size: 10px;
	font-weight: bold;
	color: #FFF;
	text-transform: uppercase;
	text-align: center;
	line-height: 20px;
	/*transform: rotate(45deg);*/
	/*-webkit-transform: rotate(45deg);*/
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);		
	width: 100px;
	display: block;
	background: #fb913b;
	background: linear-gradient(#fb913b 0%, #ff7506 100%);
	box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
	position: absolute;
	/*top: 19px; right: -21px;*/
	top: 19px; left: -21px;
}

.ribbon_oro {
	position: absolute;
	/*right: 0px; top: 0px;*/
	left: 0px; top: 0px;
	z-index: 999999;
	overflow: hidden;
	width: 75px; height: 75px;
	text-align: right;
}
.ribbon_oro span {
	font-size: 10px;
	font-weight: bold;
	color: #FFF;
	text-transform: uppercase;
	text-align: center;
	line-height: 20px;
	/*transform: rotate(45deg);*/
	/*-webkit-transform: rotate(45deg);*/
	transform: rotate(-45deg);
	-webkit-transform: rotate(-45deg);		
	width: 100px;
	display: block;
	background: #cabe9f;
	background: linear-gradient(#d1c6ab 0%, #b8a984 100%);
	box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
	position: absolute;
	/*top: 19px; right: -21px;*/
	top: 19px; left: -21px;
}



.primary-nav>div>ul, .primary-nav>ul, .sitepress_container>.wpml-ls li, .primary-nav ul li.mega-menu-links>ul>li {
    font-size: 15px;
}
.primary-nav > ul > li > a {
    padding: 0 15px;
}


.onsale {
	background-color: #edd067!important;
	color: #ffffff!important;
}
.onsale {
	top: 0;
	right: 0;
	left: auto;
	margin: -0.5em -0.5em 0 0;
}
.onsale {
	height: 40px;
	width: 40px;
	line-height: 40px;
	display: block;
	padding: 0;
	font-size: 15px;
	font-weight: 700;
	position: absolute;
	text-align: center;
	top: -0.5em;
	left: -0.5em;
	margin: 0;
	font-size: .757em;
	-webkit-font-smoothing: antialiased;
	z-index: 99;
	-webkit-transform: rotate(-15deg);
	-moz-transform: rotate(-15deg);
	-ms-transform: rotate(-15deg);
	-o-transform: rotate(-15deg);
	transform: rotate(-15deg);
}
.onsale:before, .onsale:after {
	background: #edd067!important;
}
.onsale:before {
	-webkit-transform: rotate(30deg);
	-moz-transform: rotate(30deg);
	-ms-transform: rotate(30deg);
	-o-transform: rotate(30deg);
	transform: rotate(30deg);
}
.onsale:before, .onsale:after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	height: 40px;
	width: 40px;
	z-index: -1;
}
.onsale span {
	position: relative;
	z-index: 10;
}
.onsale:before, .onsale:after {
	background: #edd067!important;
}
.onsale:after {
	-webkit-transform: rotate(60deg);
	-moz-transform: rotate(60deg);
	-ms-transform: rotate(60deg);
	-o-transform: rotate(60deg);
	transform: rotate(60deg);
}
.onsale:before, .onsale:after {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	height: 40px;
	width: 40px;
	z-index: -1;
}
.onsale {
	top: 0;
	right: 0;
	left: auto;
	/*margin: -0.5em -0.5em 0 0;*/
	margin: 25px;
}

@media screen and (max-width: 768px) {
	.onsale {
		margin: 15px;
	}
}







.property_listing_details {
	position: relative;
	color: #4f525a;
	width: 100%;
	float: left;
	margin-bottom: 32px;
	margin-top: 10px;
}
.info_labels {
	width: 100%;
	font-size: 12px;
	font-weight: 300;
}	
	
.property_listing_details .inforoom, .property_location .inforoom, 
.property_listing_details .infobath, .property_location .infobath, 
.property_listing_details .infosize, .property_location .infosize {
	width: 33%;
	float: left;
	text-align: center;
	font-size: 15px;
	font-weight: 500;
	line-height: 17px;
	position: relative;
}
.property_listing_details .inforoom:before {
	content: " ";
	position: absolute;
	top: 7px;
	height: 18px;
}
.property_listing_details .infobath:before {
	content: " ";
	position: absolute;
	top: 7px;
	left: 0;
	border-left: 1px solid #ccc;	
	right: 0;
	border-right: 1px solid #ccc;
	height: 18px;
}
.property_listing_details .infosize:before {
	content: " ";
	position: absolute;
	top: 7px;
	height: 18px;
}




.property_listing_details {
	position: relative;
	color: #4f525a;
	width: 100%;
	float: left;
	margin-bottom: 32px;
	margin-top: 10px;
}
.info_labels {
	width: 100%;
	font-size: 12px;
	font-weight: 300;
}	
	
.property_listing_details2 .inforoom, .property_location .inforoom, 
.property_listing_details2 .infobath, .property_location .infobath, 
.property_listing_details2 .inforrrr, .property_location .inforrrr, 
.property_listing_details2 .infosize, .property_location .infosize {
	width: 25%;
	float: left;
	text-align: center;
	font-size: 15px;
	font-weight: 500;
	line-height: 17px;
	position: relative;
}
.property_listing_details2 .inforoom:before {
	content: " ";
	position: absolute;
	top: 7px;
	left: 0;
	border-left: 0px solid #efefef;
	height: 18px;
}
.property_listing_details2 .infobath:before {
	content: " ";
	position: absolute;
	top: 7px;
	right: 0;
	border-right: 1px solid #efefef;
	height: 18px;
}
.property_listing_details .inforrrr:before {
	content: " ";
	position: absolute;
	top: 7px;
	right: 0;
	border-right: 1px solid #efefef;
	height: 18px;
}
.property_listing_details .infosize:before {
	content: " ";
	position: absolute;
	top: 7px;
	right: 0;
	border-right: 0px solid #efefef;
	height: 18px;
}

.wdptruncate {
  display: -webkit-box;
  -webkit-line-clamp: 2; /* Numero massimo di righe da visualizzare */
  -webkit-box-orient: vertical;
  overflow: hidden;
}




/* ISALENTELLI */
.qodef-woo-dropdown-cart .qodef-woo-dropdown-items .qodef-e-image img {
    width: 59px;
    height: 82px;
}

#qodef-top-area {
    background-color: #261c13;
}
.qodef-h2, h2 {
    color: #23180e;
    color: #3e3226;
    color: #453628;
}
.qodef-h4, h4 {
    color: #453628;
}
.qodef-h3, h3 {
    color: #453628;
}
.qodef-h5, h5 {
    color: #453628;
}

.qodef-woo-product-list.qodef-item-layout--button-below .qodef-woo-product-content .added_to_cart:hover, .qodef-woo-product-list.qodef-item-layout--button-below .qodef-woo-product-content .button:hover {
    color: #453628 !important;
    background-color: transparent !important;
    border: 453628!important;
}

.qodef-woo-product-list.qodef-item-layout--button-below .qodef-woo-product-content .added_to_cart, .qodef-woo-product-list.qodef-item-layout--button-below .qodef-woo-product-content .button {
    background-color:#453628!important;
}
.elementor-27 .elementor-element.elementor-element-57173b3:not(.elementor-motion-effects-element-type-background) > .elementor-widget-wrap, .elementor-27 .elementor-element.elementor-element-57173b3 > .elementor-widget-wrap > .elementor-motion-effects-container > .elementor-motion-effects-layer {
    background-color: #2e261e;
}
.elementor-27 .elementor-element.elementor-element-c2a93c9:not(.elementor-motion-effects-element-type-background) > .elementor-widget-wrap, .elementor-27 .elementor-element.elementor-element-c2a93c9 > .elementor-widget-wrap > .elementor-motion-effects-container > .elementor-motion-effects-layer {
    background-color: #2e261e;
}

.qodef-button.qodef-layout--filled.qodef-html--link {
    color: #fff;
    background-color: #453628;
    border: 1px solid transparent;
}

.qodef-header-navigation ul li.qodef-menu-item--narrow ul {
    background-color: #2e261e;
}

.qodef-woo-dropdown-cart .qodef-m-dropdown-inner {
    background-color: #2e261e;
}

.qodef-header-navigation ul li.qodef-menu-item--wide .qodef-drop-down-second {
    background-color: #2e261e;
}

.qodef-header-navigation>ul>li {
    margin: 0 13px;
}

.qodef-header-navigation>ul>li>a {
    letter-spacing: .1em!important;
}








/*
#qodef-page-footer-top-area {
    background-color: #261c13;
    background-color: #19120c;
    border-top-color: #655c56;
    border-top-width: 1px;
}
#qodef-page-footer-logo-area {
    background-color: #261c13;
    background-color: #19120c;
}
#qodef-page-footer-middle-area {
    background-color: #261c13;
    background-color: #19120c;
}
*/
#qodef-page-footer-logo-area {
	background-color: rgba(25, 18, 12, 0.2); /* marrone scuro con 60% opacità */
}
#qodef-page-footer-middle-area {
	background-color: rgba(25, 18, 12, 0.4); /* marrone scuro con 60% opacità */
}
#qodef-page-footer-top-area {
	background-color: rgba(25, 18, 12, 0.4); /* marrone scuro con 60% opacità */
    border-top-color: #655c56;
    border-top-width: 1px;
}





#qodef-page-footer-bottom-area {
    background-color: #261c13;
    background-color: #19120c;
    border-top-color: #655c56;
    border-top-width: 1px;
}


.widget.widget_price_filter .price_slider_wrapper .ui-widget-content .ui-slider-handle {
    background-color: #2e261e;
}
.widget.widget_price_filter .price_slider_wrapper .ui-widget-content .ui-slider-handle {
	border-radius: 50%;
    height: 15px;
    top: -6px;
    width: 15px;
}

#qodef-woo-page.qodef--single .product_meta>*, #yith-quick-view-content.single-product .product_meta>* {
    letter-spacing: .2em;
}


input[type=date]:focus, input[type=email]:focus, input[type=number]:focus, input[type=password]:focus, input[type=search]:focus, input[type=tel]:focus, input[type=text]:focus, input[type=url]:focus, textarea:focus {
    color: #707070;
    background-color: transparent;
   /* border: 1px solid #707070!important;*/
}
.regmargin {													
	flex-basis: 100%;
	max-width: 100%;
	border-radius:0px!important;
	width: 100%;
	border: 1px solid #707070!important;
	padding: 13px 15px!important;
	margin-bottom:15px!important
}	

#qodef-woo-page .qodef-woo-product-mark, #yith-quick-view-modal .qodef-woo-product-mark, .qodef-woo-shortcode .qodef-woo-product-mark {
    background-color: #f6f1f1;
}


.qodef-sp-holder {
    background-color: rgba(0, 0, 0, .75);
}
#qodef-top-area-inner {
    height: 32px!important;
}

#qodef-woo-page.qodef--single #review_form .comment-form-rating a svg, #yith-quick-view-content.single-product #review_form .comment-form-rating a svg {
    stroke: #daac5d;
}
#qodef-woo-page.qodef--single #review_form .comment-form-rating .qodef-comment-form-ratings.selected svg, #yith-quick-view-content.single-product #review_form .comment-form-rating .qodef-comment-form-ratings.selected svg {
    fill: #daac5d;
}

.qodef-search-cover-form {
    background-color: #2e261e;
}

.qodef-theme-button, button[type=submit], input[type=submit] {
    background-color: #2e261e;
}
.widget.woocommerce .button, .widget.woocommerce .woocommerce-widget-layered-nav-dropdown__submit {
    background-color: #2e261e;
    color: #fff;
    border-color: #2e261e;
}

.elementor-2723 .elementor-element.elementor-element-cb3a42d:not(.elementor-motion-effects-element-type-background) > .elementor-widget-wrap, .elementor-2723 .elementor-element.elementor-element-cb3a42d > .elementor-widget-wrap > .elementor-motion-effects-container > .elementor-motion-effects-layer {
    background-color: #2e261e;
}

/*
#dad7d4
*/



.qodef-button.qodef-layout--outlined:hover {
    color: #ffffff;
    background-color: #2e261e;
    border: 1px solid var(--qode-main-color);
}

#qodef-woo-page .added_to_cart, #qodef-woo-page .button, #yith-quick-view-modal .added_to_cart, #yith-quick-view-modal .button, .qodef-woo-shortcode .added_to_cart, .qodef-woo-shortcode .button {
    background-color: #2e261e;
}

.testosovraimmagine {
	color: white;
	text-shadow: 1px 1px 2px rgba(237, 226, 222, 0.8);
}



.prezzoChange {
	font-size:42px;
	font-weight: 600;
}






.blink-underline{
	position: relative;
	text-decoration: none;
}
.blink-underline::after{
	content: "";
	position: absolute;
	left: 0; right: 0;
	bottom: 51px;
	height: 1px;
	width: 36px;
	background: currentColor;
	opacity: 1;
	animation: blink-underline 1s ease-in-out infinite;
}

@keyframes blink-underline{
	0%, 45%   { opacity: 1; }
	55%, 100% { opacity: 0; }
}
@media (prefers-reduced-motion: reduce){
	.blink-underline::after{ animation: none; }
}




a.badge-new{
  position: relative;
  display: inline-block;
  padding-right: 0px;      /* spazio per il badge */
}
a.badge-new::after{
	content: "NEW";
    position: absolute;
    top: 40px;
    right: -10px;
    font-size: 7px;
    line-height: 1;
    padding: 2px 3px;
    background: #e11d48;
    color: #fff;
    border-radius: 1px;
    font-weight: 400;
    text-transform: uppercase;
    letter-spacing: .03em;
    box-shadow: 0 2px 6px rgba(0, 0, 0, .15);
    pointer-events: none;
}
@media (prefers-reduced-motion: reduce){
  a.badge-new::after{ animation: none; }
}












